summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorfelics@felics-tablet2016-12-20 12:36:22 +0100
committerfelics@felics-tablet2016-12-20 12:36:22 +0100
commit37743af4e5213641095498fc925a53cc2140c786 (patch)
tree5e9bbff72483d9d0ae9a500d8eb0f7d5d467160f
downloadaur-37743af4e5213641095498fc925a53cc2140c786.tar.gz
Initial Commit
-rw-r--r--.SRCINFO40
-rw-r--r--PKGBUILD115
-rw-r--r--mozconfig.in52
-rw-r--r--mozconfig.in.patch24
4 files changed, 231 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..724edb22355
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,40 @@
+pkgbase = palemoon-26
+ pkgdesc = Pale Moon web browser, old version 26 (still with the jetpack SDK addon technology, but not maintained anymore).
+ pkgver = 26.5.0
+ pkgrel = 1
+ url = http://www.palemoon.org/
+ arch = i686
+ arch = x86_64
+ license = MPL
+ license = GPL
+ license = LGPL
+ makedepends = autoconf2.13
+ makedepends = gcc5
+ makedepends = git
+ makedepends = gstreamer
+ makedepends = gst-plugins-base
+ makedepends = python2
+ makedepends = unzip
+ makedepends = yasm
+ makedepends = zip
+ depends = alsa-lib
+ depends = dbus-glib
+ depends = desktop-file-utils
+ depends = gtk2
+ depends = libxt
+ depends = mime-types
+ optdepends = hunspell: spell checker and morphological analyzer
+ optdepends = hyphen: library for hyphenation and justification
+ optdepends = gst-libav: h.264 support
+ optdepends = gst-plugins-good: h.264 support
+ provides = palemoon=26.5.0
+ conflicts = palemoon
+ source = git+https://github.com/MoonchildProductions/Pale-Moon#tag=26.5.0_Release
+ source = mozconfig.in
+ source = mozconfig.in.patch
+ sha256sums = SKIP
+ sha256sums = 6111b2df9057c770f83193b0ef3424ac45ce036951776f34f2bae45fe61d98bf
+ sha256sums = c5ef03e89b49101748b5a255582ad8cf7c23a5dbf9d1d0dbd09302e806edeadb
+
+pkgname = palemoon-26
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..f27db8f0869
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,115 @@
+# Maintainer: dreieck
+# Contributor: WorMzy Tykashi <wormzy.tykashi@gmail.com>
+# Contributor: artiom <a.mv at gmx dot fr>
+# Contributor: ilikenwf
+# Contributor: American_Jesus
+
+_pkgname=palemoon
+pkgname="${_pkgname}-26"
+pkgver=26.5.0
+pkgrel=1
+pkgdesc="Pale Moon web browser, old version 26 (still with the jetpack SDK addon technology, but not maintained anymore)."
+arch=(
+ 'i686'
+ 'x86_64'
+ )
+url="http://www.palemoon.org/"
+provides=(
+ "${_pkgname}=${pkgver}"
+ )
+conflicts=(
+ "${_pkgname}"
+ )
+license=(
+ 'MPL'
+ 'GPL'
+ 'LGPL'
+ )
+depends=(
+ 'alsa-lib'
+ 'dbus-glib'
+ 'desktop-file-utils'
+ 'gtk2'
+ 'libxt'
+ 'mime-types'
+ )
+makedepends=(
+ 'autoconf2.13'
+ 'gcc5'
+ 'git'
+ 'gstreamer'
+ 'gst-plugins-base'
+ 'python2'
+ 'unzip'
+ 'yasm'
+ 'zip'
+ )
+optdepends=(
+ 'hunspell: spell checker and morphological analyzer'
+ 'hyphen: library for hyphenation and justification'
+ 'gst-libav: h.264 support'
+ 'gst-plugins-good: h.264 support'
+ )
+source=(
+ git+"https://github.com/MoonchildProductions/Pale-Moon#tag=${pkgver}_Release"
+ "mozconfig.in"
+ "mozconfig.in.patch"
+ )
+sha256sums=(
+ 'SKIP'
+ '6111b2df9057c770f83193b0ef3424ac45ce036951776f34f2bae45fe61d98bf'
+ 'c5ef03e89b49101748b5a255582ad8cf7c23a5dbf9d1d0dbd09302e806edeadb'
+ )
+
+prepare() {
+ msg "Patching 'mozconfig.in'"
+ patch --verbose --follow-symlinks "${srcdir}/mozconfig.in" < "${srcdir}/mozconfig.in.patch"
+
+ sed 's#%SRCDIR%#'"$srcdir"'#g' mozconfig.in > mozconfig
+ cd Pale-Moon
+
+ chmod -R +x build/autoconf/* python/*
+ find . -name '*.sh' -exec chmod +x {} \;
+}
+
+build() {
+ cd Pale-Moon
+
+ export MOZBUILD_STATE_PATH="$srcdir/mozbuild"
+ export MOZCONFIG="$srcdir/mozconfig"
+ export CPPFLAGS="$CPPFLAGS -O2"
+ python2 mach build || echo "Next =>"
+ python2 mach build
+}
+
+package() {
+ cd pmbuild
+ make package
+ cd dist
+ install -d "$pkgdir"/usr/{bin,lib}
+ cp -r palemoon/ "$pkgdir/usr/lib/${_pkgname}"
+ ln -s "../lib/${_pkgname}/palemoon" "$pkgdir/usr/bin/palemoon"
+
+ # icons
+ install -Dm644 palemoon/browser/chrome/icons/default/default16.png \
+ "$pkgdir/usr/share/icons/hicolor/16x16/apps/${_pkgname}.png"
+ install -Dm644 palemoon/browser/chrome/icons/default/default32.png \
+ "$pkgdir/usr/share/icons/hicolor/32x32/apps/${_pkgname}.png"
+ install -Dm644 palemoon/browser/chrome/icons/default/default48.png \
+ "$pkgdir/usr/share/icons/hicolor/48x48/apps/${_pkgname}.png"
+ install -Dm644 palemoon/browser/icons/mozicon128.png \
+ "$pkgdir/usr/share/icons/hicolor/128x128/apps/${_pkgname}.png"
+
+ # use system-provided dictionaries
+ rm -rf "$pkgdir/usr/lib/${_pkgname}"/{dictionaries,hyphenation}
+ ln -s /usr/share/hunspell "$pkgdir/usr/lib/${_pkgname}/dictionaries"
+ ln -s /usr/share/hyphen "$pkgdir/usr/lib/${_pkgname}/hyphenation"
+
+ # avoid duplicate binaries
+ # https://bugzilla.mozilla.org/show_bug.cgi?id=658850
+ #ln -sf palemoon "$pkgdir/usr/lib/${_pkgname}/palemoon-bin"
+ rm -f "$pkgdir/usr/lib/${_pkgname}/palemoon-bin"
+
+ # install desktop file
+ install -Dm644 "$srcdir/Pale-Moon/browser/branding/official/palemoon.desktop" "$pkgdir/usr/share/applications/${_pkgname}.desktop"
+}
diff --git a/mozconfig.in b/mozconfig.in
new file mode 100644
index 00000000000..9b0837a8c6e
--- /dev/null
+++ b/mozconfig.in
@@ -0,0 +1,52 @@
+ac_add_options --enable-official-branding
+export MOZILLA_OFFICIAL=1
+
+mk_add_options MOZ_CO_PROJECT=browser
+ac_add_options --enable-application=browser
+
+mk_add_options MOZ_OBJDIR=%SRCDIR%/pmbuild
+
+ac_add_options --disable-installer
+ac_add_options --disable-updater
+
+ac_add_options --disable-tests
+ac_add_options --disable-mochitests
+ac_add_options --disable-debug
+
+ac_add_options --enable-jemalloc
+#ac_add_options --enable-jemalloc-lib #does nothing?
+ac_add_options --with-pthreads
+
+ac_add_options --enable-strip
+ac_add_options --enable-optimize="-O2 -msse2 -mfpmath=sse"
+
+ac_add_options --x-libraries=/usr/lib
+
+# gcc6 doesn't work, explicitly use gcc5
+export CC=gcc-5
+export CXX=g++-5
+
+# Use python2
+mk_add_options PYTHON=/usr/bin/python2
+
+# use multiple job threads to speed up compilation
+mk_add_options MOZ_MAKE_FLAGS="-j4"
+
+# disable junk
+ac_add_options --disable-accessibility
+ac_add_options --disable-codesighs
+ac_add_options --disable-gamepad
+ac_add_options --disable-logging
+ac_add_options --disable-necko-wifi
+ac_add_options --disable-parental-controls
+ac_add_options --disable-safe-browsing
+ac_add_options --disable-webrtc
+ac_add_options --disable-websms-backend
+ac_add_options --disable-valgrind
+
+# enable useful features
+ac_add_options --enable-chrome-format=omni
+ac_add_options --enable-gstreamer
+ac_add_options --enable-pulseaudio
+ac_add_options --enable-startup-notification
+ac_add_options --enable-url-classifier
diff --git a/mozconfig.in.patch b/mozconfig.in.patch
new file mode 100644
index 00000000000..177e831b1a9
--- /dev/null
+++ b/mozconfig.in.patch
@@ -0,0 +1,24 @@
+--- mozconfig.in.orig 2016-11-13 10:28:07.030229334 +0100
++++ mozconfig.in.new 2016-11-13 12:11:17.129308294 +0100
+@@ -16 +16 @@
+-ac_add_options --enable-jemalloc
++ac_add_options --disable-jemalloc
+@@ -21 +21 @@
+-ac_add_options --enable-optimize="-O2 -msse2 -mfpmath=sse"
++ac_add_options --enable-optimize="-O3 -msse2 -mfpmath=sse"
+@@ -50,2 +50,6 @@
+-ac_add_options --enable-pulseaudio
+-ac_add_options --enable-startup-notification
++ac_add_options --disable-pulseaudio
++ac_add_options --disable-startup-notification
++ac_add_options --enable-canvas
++ac_add_options --enable-svg
++ac_add_options --enable-accessibility
++ac_add_options --enable-xinerama
+@@ -52,0 +57,6 @@
++
++# link to system libraries instead of internal ones
++#ac_add_options --with-system-zlib
++#ac_add_options --with-system-png
++#ac_add_options --with-system-jpeg
++#ac_add_options --enable-system-cairo